#
# spec file for package colordiff
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           colordiff
Version:        1.0.15
Release:        7.1
Summary:        Colour-highlighted 'diff' output
License:        GPL-2.0+
Group:          Productivity/Text/Utilities
Url:            http://www.colordiff.org
Source0:        http://www.colordiff.org/%{name}-%{version}.tar.gz
Patch0:         colordiff-fix-permission.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The Perl script colordiff is a wrapper for 'diff' and produces the same
output but with pretty 'syntax' highlighting. Colour schemes can be
customized.

%prep
%setup -q
%patch0

%build

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/etc
make INSTALL_DIR=%{buildroot}/%{_bindir} \
        MAN_DIR=%{buildroot}/%{_mandir}/man1 \
        ETC_DIR=%{buildroot}/etc install
gzip %{buildroot}/%{_mandir}/man1/*.1
sed -i -e "s@%{buildroot}@@" %{buildroot}/%{_bindir}/colordiff
chmod a-x %{buildroot}/%{_mandir}/man1/colordiff.*

%files
%defattr(-,root,root)
%doc README COPYING CHANGES BUGS colordiffrc colordiffrc-lightbg
%{_bindir}/*
%{_mandir}/man1/*
%config %{_sysconfdir}/colordiffrc

%changelog
* Wed Aug  5 2015 mpluskal@suse.com
- Update to 1.0.15
  * see attached CHANGES for details
* Sat Mar 28 2015 mpluskal@suse.com
- Update to 1.0.13
  * see attached CHANGES for details
- Cleanup spec-file with spec-cleaner
- Update project url
- Use url for source
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Mon Jun  8 2009 mseben@suse.cz
- updated to 1.0.9 version
  - Fix for Debian bug 513313 incorporated.
- set /etc/colordiffrc as config file in spec
* Wed Mar 18 2009 mseben@suse.cz
- updated to 1.0.8a version
- Changes between version 1.0.6a and 1.0.7a
  - Support introduced for 'wdiff' colourising (thanks to Tom Regner)
  - Correctly handles undefined HOME (patches from various people).
  - Support for p4 diffs added by Alexis Layton, plus bug fix for
  blank first lines
- Changes between version 1.0.7a and 1.0.8a
  - Support for numeric colours added, for 256-colour terminals
  (thanks to GautamIyer).
  - Diff-types can now be specified explicitly, for use when
  diff-type detection doesn't work or isn't possible.
  - Return diff's exit code, patch from Tim Connors.  Allow
  extraneous diff text to be coloured separately.
* Sun Jun 24 2007 bwalle@suse.de
- initial SUSE package
